Bug 187002 - [PATCH] security/py-openssl: update to 0.14
Summary: [PATCH] security/py-openssl: update to 0.14
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Sofian Brabez
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-02-24 12:10 UTC by koobs
Modified: 2014-03-06 12:01 UTC (History)
1 user (show)

See Also:


Attachments
py-openssl-0.14.patch (2.78 KB, patch)
2014-02-24 12:10 UTC, koobs
no flags Details | Diff
py-openssl-0.14.diff (2.54 KB, patch)
2014-02-25 11:43 UTC, koobs
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description koobs 2014-02-24 12:10:00 UTC
security/py-openssl: Update to 0.14

- Update to 0.14
- Add RUN_DEPENDS (new dependencies)
- LICENSE_FILE not needed for those listed in bsd.licenses.db.mk
- Remove unnecessary USE_PYTHON_PREFIX
- Remove unecessary patch
- Re-order USE_* section
- Add regression-test: target
- pkg-descr: Update WWW URL

[1] https://github.com/pyca/pyopenssl/issues/37
[2] https://github.com/pyca/pyopenssl/issues/38

============
portlint: OK - WARN: False Positive
testport: OK - poudriere (all versions/archs)
unittest: OK - Ran 349 tests in 2.386s - FAILED (failures=2) [1][2]
============

Port maintainer (sbz@FreeBSD.org) is cc'd.

Generated with FreeBSD Port Tools 1.00.2014.02.18 (mode: update, diff: ports)
Comment 1 Edwin Groothuis freebsd_committer 2014-02-24 12:10:13 UTC
Responsible Changed
From-To: freebsd-ports-bugs->sbz

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 koobs 2014-02-25 11:43:28 UTC
Updated patch, adds:

- Remove USE_OPENSSL (moved & committed to py-cryptography)
- Remove pre-configure: target, no longer necessary
Comment 3 dfilter service freebsd_committer 2014-03-06 11:59:09 UTC
Author: sbz
Date: Thu Mar  6 11:58:56 2014
New Revision: 347183
URL: http://svnweb.freebsd.org/changeset/ports/347183
QAT: https://qat.redports.org/buildarchive/r347183/

Log:
  - Update to 0.14
  - Update pkg-descr
  
  PR:		ports/187002
  Submitted by:	Kubilay Kocak <koobs.freebsd at gmail.com>

Deleted:
  head/security/py-openssl/files/
Modified:
  head/security/py-openssl/Makefile
  head/security/py-openssl/distinfo
  head/security/py-openssl/pkg-descr

Modified: head/security/py-openssl/Makefile
==============================================================================
--- head/security/py-openssl/Makefile	Thu Mar  6 11:35:19 2014	(r347182)
+++ head/security/py-openssl/Makefile	Thu Mar  6 11:58:56 2014	(r347183)
@@ -2,7 +2,7 @@
 # $FreeBSD$
 
 PORTNAME=	openssl
-PORTVERSION=	0.13
+PORTVERSION=	0.14
 CATEGORIES=	security python
 MASTER_SITES=	CHEESESHOP
 PKGNAMEPREFIX=	${PYTHON_PKGNAMEPREFIX}
@@ -12,26 +12,25 @@ MAINTAINER=	sbz@FreeBSD.org
 COMMENT=	Python interface to the OpenSSL library
 
 LICENSE=	APACHE20
-LICENSE_FILE=	${WRKSRC}/LICENSE
+
+RUN_DEPENDS=	${PYTHON_PKGNAMEPREFIX}cryptography>=0.2.1:${PORTSDIR}/security/py-cryptography \
+		${PYTHON_PKGNAMEPREFIX}six>=1.5.2:${PORTSDIR}/devel/py-six
+
+OPTIONS_DEFINE=	EXAMPLES
 
 USE_PYTHON=	yes
 USE_PYTHON_PREFIX=	yes
 USE_PYDISTUTILS=	yes
 PYDISTUTILS_AUTOPLIST=	yes
-USE_OPENSSL=	yes
 
 EXAMPLESDIR=	${PREFIX}/share/examples/py-${PORTNAME}
 PORTEXAMPLES=	*
 
-OPTIONS_DEFINE=	EXAMPLES
-
-pre-configure:
-	@${ECHO_CMD} "[build_ext]" >> ${WRKSRC}/setup.cfg
-	@${ECHO_CMD} "include-dirs = ${OPENSSLINC}" >> ${WRKSRC}/setup.cfg
-	@${ECHO_CMD} "library-dirs = ${OPENSSLLIB}" >> ${WRKSRC}/setup.cfg
-
 post-install:
 	@${MKDIR} ${STAGEDIR}${EXAMPLESDIR}
 	(cd ${WRKSRC}/examples/ && ${COPYTREE_SHARE} . ${STAGEDIR}${EXAMPLESDIR})
 
+regression-test: build
+	@(cd ${WRKSRC} && ${PYTHON_CMD} ${PYSETUP} test)
+
 .include <bsd.port.mk>

Modified: head/security/py-openssl/distinfo
==============================================================================
--- head/security/py-openssl/distinfo	Thu Mar  6 11:35:19 2014	(r347182)
+++ head/security/py-openssl/distinfo	Thu Mar  6 11:58:56 2014	(r347183)
@@ -1,2 +1,2 @@
-SHA256 (pyOpenSSL-0.13.tar.gz) = 21e12b03abaa0e04ecc8cd9c251598f71bae11c9f385304234e4ea5618c6163b
-SIZE (pyOpenSSL-0.13.tar.gz) = 250489
+SHA256 (pyOpenSSL-0.14.tar.gz) = a99db8e59c120138ad8a72eecedcc24b4510d2eed3ce48213b7e32f22cc4ee6e
+SIZE (pyOpenSSL-0.14.tar.gz) = 128005

Modified: head/security/py-openssl/pkg-descr
==============================================================================
--- head/security/py-openssl/pkg-descr	Thu Mar  6 11:35:19 2014	(r347182)
+++ head/security/py-openssl/pkg-descr	Thu Mar  6 11:58:56 2014	(r347183)
@@ -1,3 +1,3 @@
-pyOpenSSL - A Python wrapper around the OpenSSL library
+Python interface to the OpenSSL library
 
-WWW: http://pyopenssl.sourceforge.net/
+WWW: https://github.com/pyca/pyopenssl
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 4 Sofian Brabez freebsd_committer 2014-03-06 12:01:14 UTC
State Changed
From-To: open->closed

Committed, with minor changes. Thanks!